DevExtreme jQuery/JS - Control the Behavior

An end user can select Tabs items in two different modes: 'single' (by default) or 'multiple'. You can use the selectionMode option to change the mode.

JavaScript
  • $(function() {
  • $("#tabsContainer").dxTabs({
  • items: [
  • { text: "User" },
  • { text: "Comment" },
  • // ...
  • ],
  • selectionMode: "multiple"
  • });
  • });

If you need a tab to be preselected or to select it programmatically, pass its index in the data source array to the selectedIndex option.

JavaScript
  • $(function() {
  • $("#tabsContainer").dxTabs({
  • items: [
  • { text: "User" },
  • { text: "Comment" },
  • // ...
  • ],
  • selectedIndex: 1
  • });
  • });

As an alternative, you can use the selectedItem (for "single" selectionMode) or selectedItems (for "multiple" selectionMode) options.

JavaScript
  • var tabs = [
  • { text: "User" },
  • { text: "Comment" },
  • // ...
  • ];
  •  
  • $(function() {
  • $("#tabsContainer").dxTabs({
  • items: tabs,
  • selectionMode: 'multiple',
  • selectedItems: [ tabs[0], tabs[1] ]
  • });
  • });

When the total length of all tabs exceeds the Tabs container, the widget shows navigation buttons that help an end user scroll the tab strip. This behavior is default only for desktops. To enable it on all types of devices, assign true to the showNavButtons option. Otherwise, assign false.

JavaScript
  • $(function() {
  • $("#tabsContainer").dxTabs({
  • items: [
  • { text: "User" },
  • { text: "Comment" },
  • // ...
  • ],
  • showNavButtons: true
  • });
  • });
See Also

DevExtreme React - Control the Behavior

An end user can select Tabs items in two different modes: 'single' (by default) or 'multiple'. You can use the selectionMode option to change the mode.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Tabs } from 'devextreme-react/tabs';
  •  
  • const tabs = [
  • { text: "User" },
  • { text: "Comment" },
  • // ...
  • ];
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Tabs
  • items={tabs}
  • selectionMode="multiple"
  • />
  • );
  • }
  • }
  •  
  • export default App;

If you need a tab to be preselected or to select it programmatically, pass its index in the data source array to the selectedIndex option.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Tabs } from 'devextreme-react/tabs';
  •  
  • const tabs = [
  • { text: "User" },
  • { text: "Comment" },
  • // ...
  • ];
  •  
  • class App extends React.Component {
  • constructor() {
  • this.state = {
  • selectedIndex: 1
  • }
  • }
  •  
  • handleOptionChange = (e) => {
  • if(e.fullName === 'selectedIndex') {
  • this.setState({
  • selectedIndex: e.value
  • });
  • }
  • }
  •  
  • render() {
  • return (
  • <Tabs
  • items={tabs}
  • selectedIndex={this.state.selectedIndex}
  • onOptionChanged={this.handleOptionChange}
  • />
  • );
  • }
  • }
  •  
  • export default App;

As an alternative, you can use the selectedItem (for "single" selectionMode) or selectedItems (for "multiple" selectionMode) options.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Tabs } from 'devextreme-react/tabs';
  •  
  • const tabs = [
  • { text: "User" },
  • { text: "Comment" },
  • // ...
  • ];
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  • this.state = {
  • selectedItems: [tabs[0], tabs[1]];
  • }
  • }
  •  
  • handleOptionChange = (e) => {
  • if(e.fullName === 'selectedItems') {
  • this.setState({
  • selectedItems: e.value
  • });
  • }
  • }
  •  
  • render() {
  • return (
  • <Tabs
  • items={tabs}
  • selectionMode="multiple"
  • selectedItems={this.state.selectedItems}
  • onOptionChanged={this.handleOptionChange}
  • />
  • );
  • }
  • }
  •  
  • export default App;

When the total length of all tabs exceeds the Tabs container, the widget shows navigation buttons that help an end user scroll the tab strip. This behavior is default only for desktops. To enable it on all types of devices, assign true to the showNavButtons option. Otherwise, assign false.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Tabs } from 'devextreme-react/tabs';
  •  
  • const tabs = [
  • { text: "User" },
  • { text: "Comment" },
  • // ...
  • ];
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Tabs
  • items={tabs}
  • showNavButtons={true}
  • />
  • );
  • }
  • }
  •  
  • export default App;
See Also